Bug 1912522 - DNS Operator e2e test: TestCoreDNSImageUpgrade is fundamentally broken
Summary: DNS Operator e2e test: TestCoreDNSImageUpgrade is fundamentally broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: DNS
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Stephen Greene
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-04 16:19 UTC by Stephen Greene
Modified: 2021-02-24 15:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:49:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-dns-operator pull 230 0 None closed Bug 1912522: test/e2e: Re-enable TestCoreDNSImageUprade 2021-02-03 15:28:52 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:50:01 UTC

Description Stephen Greene 2021-01-04 16:19:34 UTC
See https://github.com/openshift/cluster-dns-operator/pull/226#issuecomment-754063131.

The DNS Operator's TestCoreDNSImageUpgrade test currently relies on modifying the DNS operator's deployment. Any changes made to this deployment are immediately overwritten by the CVO. PR 226 skips this test. The test should be re-worked so that either the clusterversion elements are overridden safely, or so that the scope of the test is appropriately limited. 

Prior to PR 226, the TestCoreDNSImageUpgrade tests did not properly verify that CoreDNS image changes were effectively rolled out to all DNS pods. Rather, TestCoreDNSImageUpgrade simply checked for at least 1 DNS pod definition with the newly applied image, which is a defect. Upon enhancing the test to verify that all pods in the DNS daemonset update to the correct image, we noticed that the CVO interacts with the fundamental intent of this test.

Comment 4 Hongan Li 2021-01-28 05:45:40 UTC
didn't see the error in e2e test and moving to verified

Comment 7 errata-xmlrpc 2021-02-24 15:49:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.